cern.colt

## Class PersistentObject

- java.lang.Object
- - cern.colt.PersistentObject

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  AbstractBin, AbstractCollection, AbstractDistribution, AbstractFormatter, AbstractMap, AbstractMatrix, Algebra, Benchmark, BitMatrix, BitVector, DoubleBuffer, DoubleBuffer2D, DoubleBuffer3D, DoubleFactory1D, DoubleFactory2D, DoubleFactory3D, EquiDepthHistogram, IntBuffer, IntBuffer2D, IntBuffer3D, ObjectBuffer, ObjectFactory1D, ObjectFactory2D, ObjectFactory3D, Property, RandomEngine, RandomSampler, RandomSamplingAssistant, RandomSeedGenerator, Sorting, Sorting, Timer, Transform, WeightedRandomSampler

    public abstract class PersistentObject
    extends java.lang.Object
    implements java.io.Serializable, java.lang.Cloneable

This empty class is the common root for all persistent capable classes. If this class inherits from `java.lang.Object` then all subclasses are serializable with the standard Java serialization mechanism. If this class inherits from `com.objy.db.app.ooObj` then all subclasses are additionally serializable with the Objectivity ODBMS persistance mechanism. Thus, by modifying the inheritance of this class the entire tree of subclasses can be switched to Objectivity compatibility (and back) with minimum effort.

See Also:
  Serialized Form

### Field Summary

Fields
`static long` `serialVersionUID`

### Method Summary

Methods
`java.lang.Object` `clone()` Returns a copy of the receiver.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

### Method Detail

#### clone

    public java.lang.Object clone()

Returns a copy of the receiver. This default implementation does not nothing except making the otherwise `protected` clone method `public`.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  a copy of the receiver.